Luxor PlatformAPI DocumentationEnergyContracts
Delete contract
Deletes an existing contract. A contract cannot be deleted if it would leave a site without a T. D Adder or a REP Adder.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
contract_id*Contract Id
The UUID of the contract to delete
Format
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/energy/contracts/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{ "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "Validation failed for required field", "statusCode": 400}{ "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "Validation failed for required field", "statusCode": 400}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}